package speiger.src.coreengine.rendering.shaderOld.uniforms;

import org.lwjgl.opengl.GL20;

import speiger.src.coreengine.rendering.utils.AllocationTracker;

public class UniformInt extends UniformBase<Integer> {
	public UniformInt(String id) {
		super(id);
	}

	public void storeData(Integer data) {
		if (hasChanged(data)) {
			GL20.glUniform1i(getPosition(), data);
			AllocationTracker.INSTANCE.addGPUBytes(4L);
		}
	}
}
